Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class SimpleBean

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.SimpleBean

All Implemented Interfaces:
  ConversationAware, SimpleInterface

    public class SimpleBean

extends Object
implements SimpleInterface, ConversationAware

Constructor Summary
`SimpleBean()`

Method Summary
`Object` | `bindToCurrentConversation(Object target)`
`void` | `callback(Runnable callback)`
`void` | `doSomething()`
`int` | `getConversationAwareCount()`
`String` | `getData()`
`SimpleBean` | `getThis()`
`SimpleBean` | `getThisRef()`
`SimpleBean[]` | `getThisRefHolder()`
`void` | `setConversation(Conversation conversation)`
`void` | `setData(String data)`
`void` | `transactionalMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBean

    public SimpleBean()

Method Detail

### getThis

    public SimpleBean getThis()

### getThisRef

    public SimpleBean getThisRef()

### getThisRefHolder

    public SimpleBean[] getThisRefHolder()

### getData

    public String getData()

### setData

    public void setData(String data)

### transactionalMethod

    public void transactionalMethod()

### setConversation

    public void setConversation(Conversation conversation)

  Specified by:
    `setConversation` in interface `ConversationAware`

### getConversationAwareCount

    public int getConversationAwareCount()

### doSomething

    public void doSomething()

  Specified by:
    `doSomething` in interface `SimpleInterface`

### callback

    public void callback(Runnable callback)

### bindToCurrentConversation

    public Object bindToCurrentConversation(Object target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.